USE [TryNFeOnline]
GO

ALTER TABLE [dbo].[FormaPagamento] ADD 
[idNumerario] [int] NULL
GO
ALTER FUNCTION [dbo].[SaldoContaFlex]
(
	@idFilial int,
	@idVendedor int = 0,
	@dataHoraCompetencia datetime
)
RETURNS 
@Resultado TABLE 
(
	idFilial int,
	razaoSocialFilial varchar(100),
	idVendedor int,
	razaoSocialVendedor varchar(100),
	saldoFlex decimal(18,4)
)
AS
BEGIN
	
	INSERT INTO @Resultado
	SELECT mov.idFilial, em.razaosocial, mov.idVendedor, ven.razaosocial, SUM(mov.valorFlex)
	FROM MovimentoSaldoFlex(@idFilial, @idVendedor, @dataHoraCompetencia) mov
	INNER JOIN emitente em on em.id = mov.idFilial
	INNER JOIN parceiro ven on ven.id = mov.idVendedor
	WHERE (mov.idnCancelado = 0)
	and (coalesce(ven.idnBaixado, 0) = 0)
	and (ven.idnControleCreditoFlex = 1)
	group by mov.idFilial, em.razaosocial, mov.idVendedor, ven.razaosocial
	
	RETURN 
END
GO
SET IDENTITY_INSERT [dbo].[Telas] ON 
GO
INSERT [dbo].[Telas] ([id], [descricao], [controle], [imagem], [teclaAtalho1], [teclaAtalho2], [idnPermiteAbrirVarias], [qtdVezesAberta], [dataUltimaAbertura], [idnRestricaoAcesso], [idnBloquearAcessoPlanoBasico], [parametrosControle]) VALUES (386, N'Consultar Movimentação da Conta Flex', N'Cadastros.ucConsMovimentoContaFlex, Cadastros, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null', NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL)
GO
SET IDENTITY_INSERT [dbo].[Telas] OFF
GO
SET IDENTITY_INSERT [dbo].[MenuItens] ON 
GO
INSERT [dbo].[MenuItens] ([id], [idMenu], [descricao], [idTela], [idMenuItemPai], [ordem], [idnVisivel], [md5], [imagem]) VALUES (511, 1, N'-', NULL, 373, 16, 1, NULL, NULL)
GO
INSERT [dbo].[MenuItens] ([id], [idMenu], [descricao], [idTela], [idMenuItemPai], [ordem], [idnVisivel], [md5], [imagem]) VALUES (512, 1, N'Movimentação da Conta Flex', 386, 373, 17, 1, NULL, NULL)
GO
SET IDENTITY_INSERT [dbo].[MenuItens] OFF
GO
UPDATE configuracaoNovo SET valor = '23' WHERE nomeParametro = 'versaoMinimaAppPedidos'
GO
INSERT INTO VERSAO(VERSAO, VERSAOATUALIZACAO, DATAATUALIZACAO, REVISAO) VALUES(502, 760, GETDATE(),1);